> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get investment gains

> Get all investment gains for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/investments/gains
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/investments/gains:
    get:
      tags:
        - Investments
      summary: Get investment gains
      description: Get all investment gains for the authenticated user
      operationId: getInvestmentGains
      parameters:
        - name: lastUpdatedDate
          in: header
          description: >-
            Date filter - returns all records updated after the specified date.
            Null returns all data.
          schema:
            type: string
          example: '1970-01-01'
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
        - name: year
          in: query
          description: >-
            Year filter (YYYY) - returns all records for the specified year.
            Null will return all investment gains.
          schema:
            type: integer
            format: int32
        - name: status
          in: query
          description: >-
            Status filter - returns all investment gains for the specified
            statuses. Null or empty list will default to ACTIVE.
          schema:
            type: array
            items:
              type: string
              enum:
                - ACTIVE
                - INACTIVE
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEInvestmentGainList'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEInvestmentGainList:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/InvestmentGain'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    InvestmentGain:
      required:
        - amount
        - date
        - type
      type: object
      properties:
        id:
          type: number
          description: >-
            Id of the investment gain, required when updating an existing
            investment gain
        status:
          type: string
          description: Status of the investment gain
          enum:
            - ACTIVE
            - INACTIVE
        type:
          type: string
          description: Type of the investment gain
          enum:
            - OTHER_INTEREST
            - FEDERAL_OR_TERRITORIES_INTEREST
            - NON_QUALIFIED_DIVIDEND
            - QUALIFIED_DIVIDEND
            - TAX_FREE_INTEREST_OTHER_STATE
            - SHORT_TERM_CAPITAL_GAIN
            - SHORT_TERM_CAPITAL_GAIN_AMT
            - LONG_TERM_CAPITAL_GAIN
            - LONG_TERM_CAPITAL_GAIN_AMT
            - SOCIAL_SECURITY_BENEFIT
            - OTHER_INVESTMENT_INCOME
            - OTHER_NON_INVESTMENT_INCOME
            - TAX_FREE_INTEREST_IN_STATE
            - TEN_NINETY_NINE
        date:
          type: string
          description: Date of the investment gain
          format: date
          example: '2022-01-04'
        amount:
          type: number
          description: Total amount of the investment gain
          example: 50.01
        description:
          type: string
          description: Description of the investment gain
        externalId:
          type: string
        idPrefix:
          type: string
          enum:
            - COMPANY
            - EMPLOYEE
            - DIMENSION_VALUE
            - CLASS_LABEL
            - CUSTOMER
            - BANK_ACCOUNT
            - GL_ACCOUNT
            - TRANSACTION_CATEGORY
            - BANK_TRANSACTION
            - PROCESSOR_TRANSACTION
            - TRANSACTION_LINE_ITEM
            - VENDOR
            - TRANSACTION_RULE
            - REVENUE_RULE
            - INVOICE
            - INVOICE_LINE_ITEM
            - BILL
            - BILL_LINE_ITEM
            - PAYROLL
            - PAYROLL_LINE_ITEM
            - FINANCIAL_SUMMARY
            - TASK
            - CONVERSATION
            - MESSAGE
            - REACTION
            - BUSINESS_TYPE
            - TEMPLATE_DIMENSION
            - TEMPLATE_COA
            - TEMPLATE_GL_ACCOUNT
            - TEMPLATE_TRANSACTION_RULES
            - MANUAL_JOURNAL_ENTRY
            - GL_TRANSACTION
            - ATTACHMENT
            - CAR
            - MILEAGE
            - INTEGRATION
            - TIME
            - TIME_TYPE
            - TAX_RETURN
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````